From ed2463bafb1f7d29156f8463521635f4255ce07a Mon Sep 17 00:00:00 2001
From: Pan Nengyuan <pannengyuan@huawei.com>
Date: Wed, 27 May 2020 11:34:49 +0800
Subject: [PATCH 73/77] virsh_migrate: add cpu_model in migration for kunpeng
 platform

Add migration testcases with cpu_model for kunpeng platform.

Signed-off-by: Pan Nengyuan <pannengyuan@huawei.com>
---
 libvirt/tests/cfg/virsh_cmd/domain/virsh_migrate.cfg | 8 ++++++++
 libvirt/tests/src/virsh_cmd/domain/virsh_migrate.py  | 6 ++++--
 2 files changed, 12 insertions(+), 2 deletions(-)

diff --git a/libvirt/tests/cfg/virsh_cmd/domain/virsh_migrate.cfg b/libvirt/tests/cfg/virsh_cmd/domain/virsh_migrate.cfg
index bc728f69..33744636 100644
--- a/libvirt/tests/cfg/virsh_cmd/domain/virsh_migrate.cfg
+++ b/libvirt/tests/cfg/virsh_cmd/domain/virsh_migrate.cfg
@@ -66,6 +66,14 @@
                         - from_power9:
                             # Test P8 compat mode guest between P9 <-> P9 host
                             host_arch = POWER9
+                - aarch64_compat_migration:
+                    only aarch64
+                    only there_live,there_and_back
+                    compat_mode = "yes"
+                    cpu_model = "host"
+                    variants:
+                        - from_kunpeng:
+                            host_arch = Kunpeng
                 - non_compat_migration:
     variants:
         - with_cpu_hotplug:
diff --git a/libvirt/tests/src/virsh_cmd/domain/virsh_migrate.py b/libvirt/tests/src/virsh_cmd/domain/virsh_migrate.py
index d04788c3..e7ecc4ef 100644
--- a/libvirt/tests/src/virsh_cmd/domain/virsh_migrate.py
+++ b/libvirt/tests/src/virsh_cmd/domain/virsh_migrate.py
@@ -633,12 +633,14 @@ def run(test, params, env):
             if vm.is_alive():
                 vm.destroy()
             cpu_model = params.get("cpu_model", None)
+            if "host" in cpu_model:
+                cpu_model = cpu.get_cpu_info().get('Model name', None)
             vm_xml.VMXML.set_cpu_mode(vm.name, mode='host-model',
                                       model=cpu_model)
             vm.start()
             session = vm.wait_for_login()
-            actual_cpu_model = cpu.get_cpu_info(session)['Model name']
-            if cpu_model not in actual_cpu_model.lower():
+            actual_cpu_model = cpu.get_cpu_info(session).get('Model name', None)
+            if actual_cpu_model and cpu_model not in actual_cpu_model.lower():
                 test.error("Failed to configure cpu model,\nexpected: %s but "
                            "actual cpu model: %s" % (cpu_model,
                                                      actual_cpu_model))
-- 
2.23.0

